Page 1 of 1

Package namming

PostPosted: 2016-04-13 08:59
by waghanza
Hi all,

I have created a repo (for jessie/amd64).

My purpose is to create a package for ruby, but I name my package as
Code: Select all
ruby_2.3.0_amd64.deb


I can see thant official package is versionned as 2.1.5+deb8u2.

There, I understand that package is named ruby_2.1.5+deb8u2_amd64.deb.

Package details are :
* ruby => app name
* 2.1.5+deb8u2 => version
* amd64 => arch

How is created the version name ?

Regards,

Re: Package namming

PostPosted: 2016-04-13 18:12
by Head_on_a_Stick
I'm not sure I understand your question but does this help:
https://www.debian.org/doc/manuals/main ... ml#namever

Re: Package namming

PostPosted: 2016-04-18 12:57
by waghanza
Unfortunately, this is not helpful

I try to build a repo as standard as it could be and with the latest version of software I'll propose.

For example, I will add ruby (the latest version is 2.3.0).

Actual version is

Code: Select all
1:2.1.5+deb8u2


what does u2 mean ?

Regards,

Re: Package namming

PostPosted: 2016-04-18 14:03
by GarryRicketson
Why didn't you just do a search ?
what does the u2 mean in a Debian package
F
From: FIRST HIT
The upload deb7u2 means a update to the version of that package in the stable release (version 7), and one that does not correspond to a new upstream release. These kinds of changes are typically security patches/fixes. The 2 denotes the second such update. Look at any changelog. The numbers after the u increase monotonically.


Please read this:
Please Read.. What we expect you have already Done.

Re: Package namming

PostPosted: 2016-04-18 17:09
by lukas
It is your time and you can do whatever you want.
My guess is that both communities, debian and ruby, will advise against packaging it.
Look here:
https://wiki.debian.org/Ruby
Installing Ruby versions not packaged in Debian

You can use the ruby-build package to install Ruby interpreters that are not available in Debian. Note, however, what's written in the package README.Debian file:

While ruby-build is a great tool to build Ruby versions that are not available via APT, you should still use the Debian-packaged versions of Ruby whenever possible since they are tested and supported by the Debian community.

Please do not report bugs you encounter while using your homebuilt Rubies to the Debian team; Rubies built by yourself are not supported.


Else there is:
https://rvm.io/
for people who think they need the latest and greatest version

This way or that way you will want to get in contact with the Ruby Team:
https://wiki.debian.org/Teams/Ruby
#debian-ruby channel on irc.debian.org
(you have been warned at the top of this post. iirc: the relation between the debian team and ruby is not the best).